View Issue Details

IDProjectCategoryView StatusLast Update
0005495The Dark ModDistributionpublic07.03.2022 16:07
Reporterstgatilov Assigned Tostgatilov  
PrioritynormalSeveritynormalReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionTDM 2.09 
Target VersionTDM 2.11Fixed in VersionTDM 2.10 
Summary0005495: Terminate tdm_update support
DescriptionUnless something major happens, we are going to migrate to tdm_installer for publishing TDM.
Thus tdm_update will not work after 2.09.

The idea is to modify tdm_update in such a way that it posts a message like:
  tdm_update is no longer used. Please download tdm_installer from thedarkmod.com.
and exits.
The build of this new version can be put into our mirrors, so that self-update will download them automatically.
TagsNo tags attached.

Relationships

related to 0005076 assignedstgatilov Switch updater/packager Linux build from SCons to CMake. 
related to 0005250 resolvedstgatilov New differential update and weekly builds 
parent of 0005611 resolvedstgatilov No category for tdm_installer 
related to 0005496 resolvedstgatilov Revise wiki article about TDM releases 

Activities

stgatilov

stgatilov

14.05.2021 08:55

administrator   ~0014015

Committed the change in svn rev 9358.
stgatilov

stgatilov

17.05.2021 02:53

administrator   ~0014024

All mirrors updated with the new tdm_update.

I should also remove tdm_update from manifest, so that it is not packaged into release (now I remove it manually).
stgatilov

stgatilov

18.05.2021 17:33

administrator   ~0014025

Removed tdm_update:
  r16263. Disabled putting tdm_update into release package.
  r16264. Deleted tdm_update binaries.
stgatilov

stgatilov

07.12.2021 08:55

administrator   ~0014581

It turns out that tdm_update 0.76 does NOT update to tdm_update 0.77 with the warning.
See discussion here:
  https://forums.thedarkmod.com/index.php?/topic/21186-the-bulders-influence-update-yields-an-errormessage/&do=findComment&comment=467362

I guess we should just remove old packages from our mirrors.
This way old tdm_update will simply not run (hopefully), which would clearly indicate that something went wrong.
Right now people with original 2.09 release have easy way to learn that their version is not up-to-date.
stgatilov

stgatilov

07.03.2022 16:06

administrator   ~0014756

I deleted tdm_update data from mirrors when 2.10 was released.

Issue History

Date Modified Username Field Change
19.01.2021 15:25 stgatilov New Issue
19.01.2021 15:25 stgatilov Status new => assigned
19.01.2021 15:25 stgatilov Assigned To => stgatilov
19.01.2021 15:25 stgatilov Relationship added related to 0005076
19.01.2021 15:28 stgatilov Relationship added related to 0005496
19.01.2021 15:29 stgatilov Relationship added related to 0005250
14.05.2021 08:55 stgatilov Note Added: 0014015
15.05.2021 00:11 nbohr1more Relationship added parent of 0005611
17.05.2021 02:53 stgatilov Note Added: 0014024
18.05.2021 17:33 stgatilov Note Added: 0014025
19.05.2021 05:35 stgatilov Status assigned => resolved
19.05.2021 05:35 stgatilov Resolution open => fixed
19.05.2021 05:35 stgatilov Fixed in Version => TDM 2.10
07.12.2021 08:55 stgatilov Note Added: 0014581
07.12.2021 08:56 stgatilov Status resolved => assigned
07.12.2021 08:56 stgatilov Resolution fixed => reopened
07.12.2021 08:56 stgatilov Target Version TDM 2.10 => TDM 2.11
07.03.2022 16:06 stgatilov Note Added: 0014756
07.03.2022 16:07 stgatilov Status assigned => resolved
07.03.2022 16:07 stgatilov Resolution reopened => fixed